Bug 658508 - /etc/pam.d/radiusd uses non-existent password-auth module instead of system-auth
Summary: /etc/pam.d/radiusd uses non-existent password-auth module instead of system-auth
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: freeradius2
Version: 5.8
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: John Dennis
QA Contact: Aleš Mareček
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-30 15:29 UTC by John Dennis
Modified: 2012-02-21 05:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 05:36:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0196 0 normal SHIPPED_LIVE freeradius2 bug fix and enhancement update 2012-02-20 14:54:08 UTC

Description John Dennis 2010-11-30 15:29:50 UTC
The freeradius-pam-conf file in the SRPM which gets installed as /etc/pam.d/radiusd uses password-auth instead of system-auth. The change from system-auth to password-auth was deliberate in Fedora and RHEL6. Unfortunately the Fedora/RHEL6 version of the file was applied to RHEL5. The RHEL5 version of the file needs to change password-auth back to system-auth.

Comment 2 John Dennis 2011-08-05 14:09:51 UTC
This bug should be addressed by rebasing freeradius2 in a future RHEL5 update.

Comment 3 John Dennis 2011-09-19 20:18:42 UTC
Updated freeradius-pam-conf and spec file. Waiting until new upstream release to rebuild for RHEL5.8 in which FreeRADIUS2 will be a rebase.

Comment 6 errata-xmlrpc 2012-02-21 05:36:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0196.html


Note You need to log in before you can comment on or make changes to this bug.